package cn.ibizlab.core.extensions.service;

import cn.ibizlab.core.uaa.service.impl.SysPSSystemServiceImpl;
import lombok.extern.slf4j.Slf4j;
import cn.ibizlab.core.uaa.domain.SysPSSystem;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.context.annotation.Primary;
import java.util.*;

/**
 * 实体[系统] 自定义服务对象
 */
@Slf4j
@Primary
@Service("SysPSSystemExService")
public class SysPSSystemExService extends SysPSSystemServiceImpl {

    @Override
    protected Class currentModelClass() {
        return com.baomidou.mybatisplus.core.toolkit.ReflectionKit.getSuperClassGenericType(this.getClass().getSuperclass(), 1);
    }

    /**
     * 自定义行为[PrepareApps]用户扩展
     * @param et
     * @return
     */
    @Override
    @Transactional
    public SysPSSystem prepareApps(SysPSSystem et) {
        return super.prepareApps(et);
    }
    /**
     * 自定义行为[SyncPermission]用户扩展
     * @param et
     * @return
     */
    @Override
    @Transactional
    public SysPSSystem syncPermission(SysPSSystem et) {
        return super.syncPermission(et);
    }
}

